Index: /trunk/LMDZ.COMMON/arch/arch-CICLADifort.env
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-CICLADifort.env	(revision 2519)
+++ /trunk/LMDZ.COMMON/arch/arch-CICLADifort.env	(revision 2520)
@@ -1,4 +1,3 @@
 module purge
-module load intel/15.0.6.233
 module load openmpi/1.6.5-ifort
 module load netcdf4/4.3.3.1-ifort
Index: /trunk/LMDZ.GENERIC/README
===================================================================
--- /trunk/LMDZ.GENERIC/README	(revision 2519)
+++ /trunk/LMDZ.GENERIC/README	(revision 2520)
@@ -1651,2 +1651,12 @@
 LMDZ.COMMON are used) and likewise make links to dynamics routines in "dyn1d"
 point to LMDZ.COMMON routines
+
+==12/05/2021 == MT + GC
+- Update of the water continuum (H2O-H2O and H2O-AIR): MT_CKD v3.3
+- New file in phystd/: interpolateH2O_self_foreign.F90
+- New continua (H2O-AIR_continuum_MT_CKD3.3.cia and H2O-H2O_continuum_MT_CKD3.3.cia) 
+can be downloaded from  https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/
+- Now the water continnum is defined between 0.1 and 20000cm-1
+- We also removed the old (obsolete) parameterizations (CKD and PPC) from the code 
+
+
Index: /trunk/LMDZ.GENERIC/libf/phystd/callkeys_mod.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/callkeys_mod.F90	(revision 2519)
+++ /trunk/LMDZ.GENERIC/libf/phystd/callkeys_mod.F90	(revision 2520)
@@ -10,6 +10,6 @@
       logical,save :: callstats,calleofdump
 !$OMP THREADPRIVATE(callstats,calleofdump)
-      logical,save :: callgasvis,continuum,H2Ocont_simple,graybody
-!$OMP THREADPRIVATE(callgasvis,continuum,H2Ocont_simple,graybody)
+      logical,save :: callgasvis,continuum,graybody
+!$OMP THREADPRIVATE(callgasvis,continuum,graybody)
       logical,save :: strictboundcorrk                                     
 !$OMP THREADPRIVATE(strictboundcorrk)
Index: /trunk/LMDZ.GENERIC/libf/phystd/inifis_mod.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/inifis_mod.F90	(revision 2519)
+++ /trunk/LMDZ.GENERIC/libf/phystd/inifis_mod.F90	(revision 2520)
@@ -265,9 +265,4 @@
      call getin_p("continuum",continuum)
      write(*,*) " continuum = ",continuum
-
-     write(*,*) "use analytic function for H2O continuum ?"
-     H2Ocont_simple=.false. ! default value
-     call getin_p("H2Ocont_simple",H2Ocont_simple)
-     write(*,*) " H2Ocont_simple = ",H2Ocont_simple
  
      write(*,*) "version for H2H2 CIA file ?"
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2O_self_foreign.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2O_self_foreign.F90	(revision 2520)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2O_self_foreign.F90	(revision 2520)
@@ -0,0 +1,165 @@
+     subroutine interpolateH2O_self_foreign(wn,temp,presS,presF,abcoef,firstcall,ind)
+
+!==================================================================
+!     
+!     Purpose
+!     -------
+!     Calculates the H2O continuum self and foreign opacity
+!     using lookup tables from MT_CKD version 3.3
+!
+!     Authors
+!     -------
+!     M. Turbet (2020)
+!     Adapted from the file of R. Wordsworth
+!     
+!==================================================================
+
+      use datafile_mod, only: datadir
+      implicit none
+
+      ! input
+      double precision wn                 ! wavenumber             (cm^-1)
+      double precision temp               ! temperature            (Kelvin)
+      double precision presS              ! self-pressure          (Pascals)
+      double precision presF              ! foreign (air) pressure (Pascals)
+
+      ! output
+      double precision abcoef             ! absorption coefficient (m^-1)
+
+      integer nS,nT, iT
+      parameter(nS=2001)    ! number of wavenumbers
+      parameter(nT=39)      ! number of temperatures
+
+      double precision kB
+      parameter(kB=1.3806488e-23)
+
+      double precision amagatS, amagatF, abcoefS, abcoefF, Nmolec
+      double precision wn_arr(nS)
+      double precision temp_arr(nT)
+      double precision abs_arrS(nS,nT)
+      double precision abs_arrF(nS,nT)
+      double precision data_tmp(nT)
+      
+      character*43 dummy_var1
+      character*46 dummy_var2
+
+      integer nres
+
+      double precision Ttemp
+
+      character(LEN=*), parameter :: fmat1 = "(A43,I6,F6.1)"
+      character(LEN=*), parameter :: fmat2 = "(A46,I6,F6.1)"
+
+
+      integer k,ind
+      logical firstcall
+
+      save wn_arr, temp_arr, abs_arrS, abs_arrF !read by master
+
+      character*100 dt_file
+      integer strlen,ios
+
+      amagatS=(273.15/temp)*(presS/101325.0)
+      amagatF=(273.15/temp)*(presF/101325.0)
+
+      if(firstcall)then ! called by sugas_corrk only
+         print*,'----------------------------------------------------'
+         print*,'Initialising H2O continuum from MT_CKD data...'
+
+!     1.1 Open the ASCII files
+
+!$OMP MASTER
+
+         ! self broadening
+         dt_file=TRIM(datadir)//'/continuum_data/H2O-H2O_continuum_MT_CKD3.3.cia'
+         open(34,file=dt_file,form='formatted',status='old',iostat=ios)
+         if (ios.ne.0) then        ! file not found
+           write(*,*) 'Error from interpolateH2O_cont SELF'
+           write(*,*) 'Data file ',trim(dt_file),' not found.'
+           write(*,*) 'Check that your path to datagcm:',trim(datadir)
+           write(*,*) ' is correct. You can change it in callphys.def with:'
+           write(*,*) ' datadir = /absolute/path/to/datagcm'
+           write(*,*) ' Check that there is a H2O-H2O_continuum_MT_CKD3.3.cia'
+           write(*,*)'Continuum file available here:'
+           write(*,*)' https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/'
+           call abort
+         else
+           do iT=1,nT
+             read(34,fmat1) dummy_var1,nres,Ttemp
+             if(nS.ne.nres)then
+               print*,'Resolution given in file: ',trim(dt_file)
+               print*,'is ',nres,', which does not match nS.'
+               print*,'Adjust nS value in interpolateH2O_MTCKD...F90'
+               stop
+             endif
+             temp_arr(iT)=Ttemp
+	     !write(*,*) 'H2O_H2O'
+             do k=1,nS
+               read(34,*) wn_arr(k),abs_arrS(k,it)
+	       !write(*,*) nres,temp_arr(iT),wn_arr(k),abs_arrS(k,it)
+             end do
+	   end do
+	 endif
+         close(34)
+	   
+         ! foreign broadening
+         dt_file=TRIM(datadir)//'/continuum_data/H2O-AIR_continuum_MT_CKD3.3.cia'
+         open(35,file=dt_file,form='formatted',status='old',iostat=ios)
+         if (ios.ne.0) then        ! file not found
+           write(*,*) 'Error from interpolateH2O_cont FOREIGN'
+           write(*,*) 'Data file ',trim(dt_file),' not found.'
+           write(*,*)'Check that your path to datagcm:',trim(datadir)
+           write(*,*)' is correct. You can change it in callphys.def with:'
+           write(*,*)' datadir = /absolute/path/to/datagcm'
+           write(*,*)' Check that there is a H2O-AIR_continuum_MT_CKD3.3.cia'
+           write(*,*)'Continuum file available here:'
+           write(*,*)' https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/'
+           call abort
+         else
+           do iT=1,nT
+             read(35,fmat2) dummy_var2,nres,Ttemp
+             if(nS.ne.nres)then
+               print*,'Resolution given in file: ',trim(dt_file)
+               print*,'is ',nres,', which does not match nS.'
+               print*,'Adjust nS value in interpolateH2O_MTCKD...F90'
+               stop
+             endif
+             temp_arr(iT)=Ttemp
+	     !write(*,*) 'H2O_AIR'
+             do k=1,nS
+               read(35,*) wn_arr(k),abs_arrF(k,it)
+	       !write(*,*) nres,temp_arr(iT),wn_arr(k),abs_arrF(k,it)
+             end do
+	   end do
+	 endif
+         close(35)
+
+         print*,'interpolateH2O_MTCKDcont: At wavenumber ',wn,' cm^-1'
+         print*,'   temperature ',temp,' K'
+         print*,'   H2O pressure ',presS,' Pa'
+         print*,'   air pressure ',presF,' Pa'
+!$OMP END MASTER
+!$OMP BARRIER
+	 
+      endif
+
+      call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arrS,wn,temp,abcoefS,ind)
+      !print*,'MTCKD - self absorption is ',abcoefS,' cm^2 molecule^-1'
+
+      call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arrF,wn,temp,abcoefF,ind)
+      !print*,'MTCKD - foreign absorption is ',abcoefF,' cm^2 molecule^-1'
+
+! abcoefS and abcoefF are in cm-1 amagat-2
+! First we multiply by amagat^2
+      abcoef = abcoefS*amagatS + abcoefF*amagatF
+      abcoef = abcoef*amagatS
+! Then we convert cm-1 in m-1
+      abcoef = 100.*abcoef
+      
+      !print*,'MTCKD_v3.3 : So the total absorption is ',abcoef,' m^-1'
+      !print*,'for PH2O/PN2/TEMP/wn=',presS,presF,temp,wn
+
+      return
+    end subroutine interpolateH2O_self_foreign
+
+
Index: unk/LMDZ.GENERIC/libf/phystd/interpolateH2Ocont_CKD.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2Ocont_CKD.F90	(revision 2519)
+++ 	(revision )
@@ -1,170 +1,0 @@
-     subroutine interpolateH2Ocont_CKD(wn,temp,presS,presF,abcoef,firstcall,ind)
-
-!==================================================================
-!     
-!     Purpose
-!     -------
-!     Calculates the H2O continuum opacity, using a lookup table from
-!     Clough (2005).
-!
-!     Authors
-!     -------
-!     R. Wordsworth (2011)
-!     
-!==================================================================
-
-      use datafile_mod, only: datadir
-      implicit none
-
-      ! input
-      double precision wn                 ! wavenumber             (cm^-1)
-      double precision temp               ! temperature            (Kelvin)
-      double precision presS              ! self-pressure          (Pascals)
-      double precision presF              ! foreign (air) pressure (Pascals)
-
-      ! output
-      double precision abcoef             ! absorption coefficient (m^-1)
-
-      integer nS,nT
-      parameter(nS=1001)
-      parameter(nT=11)
-
-      double precision kB
-      parameter(kB=1.3806488e-23)
-
-      double precision amagatS, amagatF, abcoefS, abcoefF, Nmolec
-      double precision wn_arr(nS)
-      double precision temp_arr(nT)
-      double precision abs_arrS(nS,nT)
-      double precision abs_arrF(nS,nT)
-      double precision data_tmp(nT)
-
-      integer k,ind
-      logical firstcall
-
-      save wn_arr, temp_arr, abs_arrS, abs_arrF !read by master
-
-      character*100 dt_file
-      integer strlen,ios
-
-      amagatS=(273.15/temp)*(presS/101325.0)
-      amagatF=(273.15/temp)*(presF/101325.0)
-
-      if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Initialising H2O continuum from MT_CKD data...'
-
-!     1.1 Open the ASCII files
-
-!$OMP MASTER
-         ! nu array
-         dt_file=TRIM(datadir)//'/continuum_data/H2O_CONT_NU.dat'
-         open(33,file=dt_file,form='formatted',status='old',iostat=ios)
-         if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2O_cont'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*)'Check that your path to datagcm:',trim(datadir)
-           write(*,*)' is correct. You can change it in callphys.def with:'
-           write(*,*)' datadir = /absolute/path/to/datagcm'
-           write(*,*)' Also check that there is a continuum_data/H2O_CONT_NU.dat there.'
-           call abort
-         else
-            do k=1,nS
-               read(33,*) wn_arr(k)
-            enddo
-         endif
-         close(33)
-
-         ! self broadening
-         dt_file=TRIM(datadir)//'/continuum_data/H2O_CONT_SELF.dat'
-         open(34,file=dt_file,form='formatted',status='old',iostat=ios)
-         if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2O_cont'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*)'Check that your path to datagcm:',trim(datadir)
-           write(*,*)' is correct. You can change it in callphys.def with:'
-           write(*,*)' datadir = /absolute/path/to/datagcm'
-           write(*,*)' Also check that there is a continuum_data/H2O_CONT_SELF.dat there.'
-           call abort
-         else
-            do k=1,nS
-               read(34,*) data_tmp
-               abs_arrS(k,1:nT)=data_tmp(1:nT)
-            end do
-         endif
-         close(34)
-
-         ! foreign (N2+O2+Ar) broadening
-         dt_file=TRIM(datadir)//'/continuum_data/H2O_CONT_FOREIGN.dat'
-         open(35,file=dt_file,form='formatted',status='old',iostat=ios)
-         if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2O_cont'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*)'Check that your path to datagcm:',trim(datadir)
-           write(*,*)' is correct. You can change it in callphys.def with:'
-           write(*,*)' datadir = /absolute/path/to/datagcm'
-           write(*,*)' Also check that there is a continuum_data/H2O_CONT_FOREIGN.dat there.'
-           call abort
-         else
-            do k=1,nS
-               read(35,*) data_tmp
-               abs_arrF(k,1:nT)=data_tmp(1:nT)
-            end do
-         endif
-         close(35)
-
-         temp_arr(1)  = 200.
-         temp_arr(2)  = 250.
-         temp_arr(3)  = 300.
-         temp_arr(4)  = 350.
-         temp_arr(5)  = 400.
-         temp_arr(6)  = 450.
-         temp_arr(7)  = 500.
-         temp_arr(8)  = 550.
-         temp_arr(9)  = 600.
-         temp_arr(10) = 650.
-         temp_arr(11) = 700.
-
-         print*,'interpolateH2Ocont: At wavenumber ',wn,' cm^-1'
-         print*,'   temperature ',temp,' K'
-         print*,'   H2O pressure ',presS,' Pa'
-         print*,'   air pressure ',presF,' Pa'
-!$OMP END MASTER
-!$OMP BARRIER
-	 
-      endif
-
-      call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arrS,wn,temp,abcoefS,ind)
-!      print*,'the self absorption is ',abcoefS,' cm^2 molecule^-1'
-
-      call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arrF,wn,temp,abcoefF,ind)
-!      print*,'the foreign absorption is ',abcoefF,' cm^2 molecule^-1'
-
-!      print*,'We have ',amagatS,' amagats of H2O vapour'
-!      print*,'and ',amagatF,' amagats of air'
-
-      abcoef = abcoefS*amagatS + abcoefF*amagatF ! Eq. (15) in Clough (1989)
-      abcoef = abcoef*(presS/(presF+presS))      ! take H2O mixing ratio into account
-                                                    ! abs coeffs are given per molecule of H2O
-
-      Nmolec = (presS+presF)/(kB*temp)           ! assume ideal gas
-!      print*,'Total number of molecules per m^3 is',Nmolec
-
-      abcoef = abcoef*Nmolec/(100.0**2)          ! convert to m^-1
-!      print*,'So the total absorption is ',abcoef,' m^-1'
-!      print*,'And optical depth / km : ',1000.0*abcoef
-
-
-      if(wn.gt.500 .and. wn.lt.1400)then
-      elseif(wn.gt.2100 .and. wn.lt.3000)then
-      else
-         abcoef = 0.0
-      endif
-
-      ! unlike for Rayleigh scattering, we do not currently weight by the BB function
-      ! however our bands are normally thin, so this is no big deal.
-
-
-      return
-    end subroutine interpolateH2Ocont_CKD
-
Index: unk/LMDZ.GENERIC/libf/phystd/interpolateH2Ocont_PPC.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2Ocont_PPC.F90	(revision 2519)
+++ 	(revision )
@@ -1,84 +1,0 @@
-     subroutine interpolateH2Ocont_PPC(wn,temp,presS,presF,abcoef,firstcall)
-
-!==================================================================
-!     
-!     Purpose
-!     -------
-!     Calculates the H2O continuum opacity, using the formulae
-!     provided in Pierrehumbert, PPC (2010). As this is based on
-!     the CKD continuum, it provides a useful check for the 
-!     implementation of the more general interpolateH2Ocont_CKD.F90.
-!
-!     Authors
-!     -------
-!     R. Wordsworth (2012)
-!     
-!==================================================================
-
-      use watercommon_h, only: mH2O
-      use datafile_mod, only: datadir
-      implicit none
-
-      ! input
-      double precision wn                 ! wavenumber             (cm^-1)
-      double precision temp               ! temperature            (Kelvin)
-      double precision presS              ! self-pressure          (Pascals)
-      double precision presF              ! foreign (air) pressure (Pascals)
-
-      ! parameters
-      double precision, parameter :: T0 = 296.0
-      double precision, parameter :: p0 = 1.D+4
-
-      ! variables
-      double precision rho_w, x
-
-      ! output
-      double precision abcoef             ! absorption coefficient (m^-1)
-
-      logical firstcall
-
-      x = wn - 2500.
-
-      if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Testing H2O continuum...'
-
-         print*,'interpolateH2Ocont: At wavenumber ',wn,' cm^-1'
-         print*,'   temperature ',temp,' K'
-         print*,'   H2O pressure ',presS,' Pa'
-
-         rho_w = presS/((8.31446/(mH2O/1000.))*temp)
-
-         if(wn.gt.500 .and. wn.lt.1400)then
-            abcoef = exp(12.167 - 0.050898*wn + 8.3207e-5*wn**2 - 7.0748e-8*wn**3 + 2.3261e-11*wn**4)*(T0/temp)**4.25*(presS/p0)
-         elseif(wn.gt.2100 .and. wn.lt.3000)then
-            abcoef = exp(-6.0055 - 0.0021363*x + 6.4723e-7*x**2 - 1.493e-8*x**3 + 2.5621e-11*x**4 + 7.328e-14*x**5)*(T0/temp)**4.25*(presS/p0)
-         else
-            abcoef = 0.0
-         endif
-         abcoef = abcoef*rho_w
-
-         print*,'The self absorption is ',abcoef,' m^-1'
-         print*,'And optical depth / km : ',1000.0*abcoef
-
-      else
-
-         rho_w = presS/((8.31446/(mH2O/1000.))*temp)
-
-         if(wn.gt.500 .and. wn.lt.1400)then
-            abcoef = exp(12.167 - 0.050898*wn + 8.3207e-5*wn**2 - 7.0748e-8*wn**3 + 2.3261e-11*wn**4)*(T0/temp)**4.25*(presS/p0)
-         elseif(wn.gt.2100 .and. wn.lt.3000)then
-            abcoef = exp(-6.0055 - 0.0021363*x + 6.4723e-7*x**2 - 1.493e-8*x**3 + 2.5621e-11*x**4 + 7.328e-14*x**5)*(T0/temp)**4.25*(presS/p0)
-         else
-            abcoef = 0.0
-         endif
-         abcoef = abcoef*rho_w
-
-         ! unlike for Rayleigh scattering, we do not currently weight by the BB function
-         ! however our bands are normally thin, so this is no big deal.
-
-      endif
-
-      return
-    end subroutine interpolateH2Ocont_PPC
-
Index: /trunk/LMDZ.GENERIC/libf/phystd/optci.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/optci.F90	(revision 2519)
+++ /trunk/LMDZ.GENERIC/libf/phystd/optci.F90	(revision 2520)
@@ -14,5 +14,5 @@
   use gases_h, only: gfrac, ngasmx, igas_N2, igas_He, igas_H2O, igas_H2
   use comcstfi_mod, only: g, r, mugaz
-  use callkeys_mod, only: kastprof,continuum,graybody,H2Ocont_simple
+  use callkeys_mod, only: kastprof,continuum,graybody
   implicit none
 
@@ -205,14 +205,10 @@
                  enddo
 
-              elseif(igas.eq.igas_H2O.and.T_cont.gt.200.0)then
-
+              elseif(igas.eq.igas_H2O.and.T_cont.gt.100.0)then
+                 ! Compute self and foreign (with air) continuum of H2O 
                  p_air = dble(PMID(k)*scalep) - p_cont ! note assumes background is air!
-                 if(H2Ocont_simple)then
-                    call interpolateH2Ocont_PPC(wn_cont,T_cont,p_cont,p_air,dtemp,.false.)
-                 else
-                    interm = indi(nw,igas,igas)
-                    call interpolateH2Ocont_CKD(wn_cont,T_cont,p_cont,p_air,dtemp,.false.,interm)
-                    indi(nw,igas,igas) = interm
-                 endif
+                 interm = indi(nw,igas,igas)
+                 call interpolateH2O_self_foreign(wn_cont,T_cont,p_cont,p_air,dtemp,.false.,interm) ! MTCKD v3.3
+                 indi(nw,igas,igas) = interm
 
               endif
Index: /trunk/LMDZ.GENERIC/libf/phystd/optcv.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/optcv.F90	(revision 2519)
+++ /trunk/LMDZ.GENERIC/libf/phystd/optcv.F90	(revision 2520)
@@ -13,5 +13,5 @@
   use gases_h, only: gfrac, ngasmx, igas_H2, igas_H2O, igas_He, igas_N2
   use comcstfi_mod, only: g, r, mugaz
-  use callkeys_mod, only: kastprof,continuum,graybody,H2Ocont_simple,callgasvis
+  use callkeys_mod, only: kastprof,continuum,graybody,callgasvis
 
   implicit none
@@ -214,14 +214,10 @@
                  enddo
 
-              elseif(igas.eq.igas_H2O.and.T_cont.gt.200.0)then
-
+              elseif(igas.eq.igas_H2O.and.T_cont.gt.100.0)then
+                 ! Compute self and foreign (with air) continuum of H2O 
                  p_air = dble(PMID(k)*scalep) - p_cont ! note assumes background is air!
-                 if(H2Ocont_simple)then
-                    call interpolateH2Ocont_PPC(wn_cont,T_cont,p_cont,p_air,dtemp,.false.)
-                 else
-                    interm = indv(nw,igas,igas)
-                    call interpolateH2Ocont_CKD(wn_cont,T_cont,p_cont,p_air,dtemp,.false.,interm)
-                    indv(nw,igas,igas) = interm
-                 endif
+                 interm = indv(nw,igas,igas)
+                 call interpolateH2O_self_foreign(wn_cont,T_cont,p_cont,p_air,dtemp,.false.,interm) ! MTCKD v3.3
+                 indv(nw,igas,igas) = interm
 
               endif
Index: /trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 2519)
+++ /trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 2520)
@@ -32,5 +32,5 @@
       use ioipsl_getin_p_mod, only: getin_p
       use callkeys_mod, only: varactive,varfixed,graybody,callgasvis,&
-		continuum,H2Ocont_simple
+		continuum
       implicit none
 
@@ -643,11 +643,7 @@
          elseif (igas .eq. igas_H2O) then
 
-            ! H2O is special 
-            if(H2Ocont_simple)then
-               call interpolateH2Ocont_PPC(990.D+0,296.D+0,683.2D+0*2,0.D+0,testcont,.true.)
-            else
-               dummy = -9999
-               call interpolateH2Ocont_CKD(990.D+0,296.D+0,683.2D+0*2,0.D+0,testcont,.true.,dummy)
-            endif
+            ! Compute self and foreign (with air) continuum of H2O 
+            dummy = -9999
+            call interpolateH2O_self_foreign(990.D+0,296.D+0,683.2D+0*2,0.D+0,testcont,.true.,dummy)  
 
          endif