Index: /trunk/LMDZ.VENUS/libf/phyvenus/moldiff_red.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/moldiff_red.F90	(revision 2522)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/moldiff_red.F90	(revision 2523)
@@ -176,5 +176,5 @@
 	allocate(dij(ncompdiff,ncompdiff))
 
-        call moldiffcoeff_red(dij,indic_diff,gcmind,ncompdiff,nq)
+        call moldiffcoeff_red(dij,indic_diff,gcmind,ncompdiff)
         print*,'MOLDIFF  EXO'
 
Index: /trunk/LMDZ.VENUS/libf/phyvenus/moldiffcoeff_red.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/moldiffcoeff_red.F	(revision 2522)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/moldiffcoeff_red.F	(revision 2523)
@@ -84,4 +84,5 @@
       real dnh
       logical,save :: firstcall=.true.
+!     logical,parameter :: outputcoeffs=.true. ! to output 'coeffs.dat' file,
       logical,parameter :: outputcoeffs=.false. ! to output 'coeffs.dat' file,
                                                 ! set outputcoeffs=.true.
@@ -282,4 +283,13 @@
       enddo 
       
+!!! TEST !!! Augmentation des coeffs CO2/CO et CO2/O
+!     do n=2,ncompdiff2
+!     if ((tname(gcmind(n)).eq.'co').or.(tname(gcmind(n)).eq.'o')) then
+!      dij(1,n)=dij(1,n)*1000.
+!      dij(n,1)=dij(1,n)
+!     endif
+!     enddo
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
       if (outputcoeffs) then
        ! output coefficients in 'coeffs.dat' file
@@ -287,5 +297,5 @@
        do n=1,ncompdiff2
         do nn=n,ncompdiff2
-          write(56,*) n,nn,dij(n,nn)	!*1.e5/1.381e-23/(273**1.75)
+          write(56,*) tname(gcmind(n)),tname(gcmind(nn)),dij(n,nn)	!*1.e5/1.381e-23/(273**1.75)
         enddo
        enddo
Index: /trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 2522)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 2523)
@@ -178,5 +178,6 @@
       integer,save :: itap        ! physics counter
       REAL delp(klon,klev)        ! epaisseur d'une couche
-      REAL omega(klon,klev)       ! vitesse verticale en Pa/s
+      REAL omega(klon,klev)       ! vitesse verticale en Pa/s (+ downward)
+      REAL vertwind(klon,klev)    ! vitesse verticale en m/s (+ upward)
       
       INTEGER igwd,idx(klon),itest(klon)
@@ -359,4 +360,6 @@
       REAL :: tr_hedin(klon,klev,nqmax)
       REAL :: d_tr(klon,klev,nqmax)
+c pour sorties
+      REAL :: col_dens_tr(klon,nqmax)
 
 c pour ioipsl
@@ -861,10 +864,11 @@
 c====================================================================
 
-c Calcule de vitesse verticale a partir de flux de masse verticale
-      DO k = 1, klev
-       DO i = 1, klon
-        omega(i,k) = RG*flxmw(i,k) / cell_area(i)
-       END DO
-      END DO
+! Compute vertical velocity (Pa/s) from vertical mass flux 
+! Need to linearly interpolate mass flux to mid-layers 
+      do k=1,klev-1
+         omega(1:klon,k) = 0.5*RG*(flxmw(1:klon,k)+flxmw(1:klon,k+1)) 
+     .                      / cell_area(1:klon)
+      enddo
+      omega(1:klon,klev) = 0.5*RG*flxmw(1:klon,klev) / cell_area(1:klon)
 
 c======
@@ -1930,4 +1934,11 @@
       endif
 
+c calcul vitesse verticale en m/s
+      DO k = 1, klev
+       DO i = 1, klon
+        vertwind(i,k) = -omega(i,k)/(rho(i,k)*RG)
+       END DO
+      END DO
+
 c------------------------
 c Calcul moment cinetique
@@ -2013,4 +2024,5 @@
       CALL send_xios_field("vitv",-1.*v_seri)
       CALL send_xios_field("vitw",omega)
+      CALL send_xios_field("vitwz",vertwind)
       CALL send_xios_field("Kz",ycoefh)
       CALL send_xios_field("mmean",mmean)
@@ -2059,4 +2071,15 @@
      $                           tr_seri(:,:,iq)*mmean(:,:)/m_tr(iq))
          end do
+
+! tracers in gas phase, column densities
+         do iq = 1,nqmax - nmicro
+            col_dens_tr(:,iq)=0.
+            do k = 1, klev
+              col_dens_tr(:,iq) = col_dens_tr(:,iq) + 
+     $              tr_seri(:,k,iq)* (paprs(:,k)-paprs(:,k+1)) / RG
+            end do
+            call send_xios_field("col_"//tname(iq),col_dens_tr(:,iq))
+         end do
+
 
 ! tracers in liquid phase, volume mixing ratio
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F	(revision 2522)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F	(revision 2523)
@@ -68,4 +68,10 @@
       if (debutphy) then
       
+!!--- Adjustment of Helium amount
+!        if (i_he/=0) then
+!           trac(:,:,i_he)=trac(:,:,i_he)*20.
+!        endif
+!!---
+
 !-------------------------------------------------------------------
 !        case of tracers re-initialisation with chemistry