Index: trunk/LMDZ.GENERIC/deftank/run.def.32x24x25
===================================================================
--- trunk/LMDZ.GENERIC/deftank/run.def.32x24x25	(revision 135)
+++ trunk/LMDZ.GENERIC/deftank/run.def.32x24x25	(revision 2552)
@@ -1,110 +1,117 @@
 #
 #----------------------------------------------------------------------- 
-#Parametres de controle du run:                                          
+# run control parameters:                                          
 #------------------------------                                          
 
-# Nombre de jours d'integration                                         
+# planet type
+planet_type = generic
+
+# Number of days to run model for 
      nday=9999
 
-# nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+# ndynstep (overrides nday): number of dynamical steps to run for
+#     ndynstep=20
+
+# Number of dynamical steps per day (must be a multiple of iperiod)
  day_step = 480
 
-# periode pour le pas Matsuno (en pas)                                  
+# Apply a Matsuno step every iperiod dynamical step
   iperiod=5
 
-# periode de sortie des variables de controle (en pas)                  
+# Control output information in the dynamics every iconser dynamical steps
   iconser=120
 
-# periode d'ecriture du fichier histoire (en jour)                      
-    iecri=100
-
-# periode de stockage fichier histmoy (en jour)                         
- periodav=60.
-
-# periode de la dissipation (en pas)                                    
+# Apply dissipation every idissip dynamical steps
   idissip=1
 
-# choix de l'operateur de dissipation (star ou  non star )              
+# dissipation operator to use (star or non-star)
  lstardis=.true.
 
-# avec ou sans coordonnee hybrides
+# use hybrid vertical coordinate (else will use sigma levels)
  hybrid=.true.
 
-# nombre d'iterations de l'operateur de dissipation   gradiv            
+# iterate lateral dissipation operator gradiv nitergdiv times
 nitergdiv=1
 
-# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+# iterate lateral dissipation operator nxgradrot nitergrot times
 nitergrot=2
 
-# nombre d'iterations de l'operateur de dissipation  divgrad            
+# iterate lateral dissipation operator divgrad niterh times
    niterh=2
 
-# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+# time scale (s) for shortest wavelengths for u,v (gradiv)
  tetagdiv= 3000.
 
-# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+# time scale (s) for shortest wavelengths for u,v (nxgradrot)
  tetagrot=9000.
 
-# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+# time scale (s) for shortest wavelengths for h (divgrad)
  tetatemp=9000.
 
-# coefficient pour gamdissip                                            
+# multiplicative constants for dissipation with altitude:
+# coefficient for middle atmosphere
+dissip_fac_mid = 2
+# coefficient for upper atmosphere
+dissip_fac_up = 10
+
+# coefficient for gamdissip                                            
   coefdis=0.
 
-# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+# time marching scheme (Matsuno if purmats is true, else Matsuno-Leapfrog)
   purmats=.false.
 
-# avec ou sans physique                                                 
+# run with (true) or without (false) physics
    physic=.true.
 
-# periode de la physique (en pas)                                       
+# call physics every iphysiq dynamical steps
   iphysiq=10
 
-# choix d'une grille reguliere                                          
+# Use a regular grid
   grireg=.true.
 
-# frequence (en pas) de l'ecriture du fichier diagfi               
+# Output in diagfi file every ecritphy dynamical steps
  ecritphy=120
 
-# longitude en degres du centre du zoom                                 
+# longitude (degrees) of zoom center
    clon=63.
 
-# latitude en degres du centre du zoom                                  
+# latitude (degrees) of zoom center
    clat=0.
 
-# facteur de grossissement du zoom,selon longitude                      
+# enhancement factor of zoom, along longitudes
   grossismx=1.
 
-# facteur de grossissement du zoom ,selon latitude                      
+# enhancement factor of zoom, along latitudes
  grossismy=1.
 
-#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+#  Use an hyperbolic function f(y) if .true., else use a sine
   fxyhypb=.false.
 
-# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+# extention along longitudes of zoom region (fraction of global domain)
    dzoomx= 0.
 
-# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+# extention along latitudes of zoom region (fraction of global domain)
    dzoomy=0.
 
-#  raideur du zoom en  X
+# zoom stiffness along longitudes
     taux=2.
 
-#  raideur du zoom en  Y
+# zoom stiffness along latitudes
     tauy=2.
 
-#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+#  Function  f(y) as y = Sin(latitude) if = .true. ,  else  y = latitude
   ysinus= .false.
 
-# Avec sponge layer
+# Use a sponge layer
   callsponge  = .true.
  
-# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+# Sponge layer extends over topmost nsponge layers
+  nsponge = 3
+
+# Sponge:  relaxed towards teta=teta_ave
+#        and mode0(u=v=0), mode1(u=u_ave,v=0), mode2(u=u_ave,v=v_ave)
   mode_sponge= 2
 
-# Sponge:  hauteur de sponge (km)
-  hsponge= 90
-
-# Sponge:  tetasponge (secondes)
+# Sponge layer time scale (s):  tetasponge
   tetasponge = 50000
 