Index: trunk/LMDZ.MARS/util/aeroptical.F90
===================================================================
--- trunk/LMDZ.MARS/util/aeroptical.F90	(revision 2443)
+++ trunk/LMDZ.MARS/util/aeroptical.F90	(revision 2567)
@@ -1304,5 +1304,6 @@
   hybrid=.true.
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed reading aps"
+    write(*,*) "init2 Error: Failed reading aps"
+    stop
   endif
 
@@ -1316,9 +1317,11 @@
   ierr=nf90_inq_varid(gcmfid,"bps",tmpvarid)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to get bps ID."
+    write(*,*) "init2 Error: Failed to get bps ID."
+    stop
   endif
   ierr=NF90_GET_VAR(gcmfid,tmpvarid,bps)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed reading bps"
+    write(*,*) "init2 Error: Failed reading bps"
+    stop
   endif
 endif
@@ -1338,5 +1341,6 @@
     apbp=.true.
     if (ierr.ne.nf90_noerr) then
-      stop "Error: Failed reading ap"
+      write(*,*) "Error: Failed reading ap"
+      stop
     endif
   endif
@@ -1357,5 +1361,6 @@
     apbp=.true.
     if (ierr.ne.nf90_noerr) then
-      stop "Error: Failed reading bp"
+      write(*,*) "Error: Failed reading bp"
+      stop
     endif
   endif
@@ -1372,5 +1377,6 @@
   ierr=NF90_GET_VAR(gcmfid,tmpvarid,sigma)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed reading sigma"
+    write(*,*) "init2 Error: Failed reading sigma"
+    stop
   endif
 endif ! of if (.not.hybrid)
@@ -1389,5 +1395,6 @@
   ierr=NF90_GET_VAR(gcmfid,tmpvarid,aire)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed reading aire"
+    write(*,*) "init2 Error: Failed reading aire"
+    stop
   endif
   area = .true.
@@ -1407,5 +1414,6 @@
   ierr=NF90_GET_VAR(gcmfid,tmpvarid,phisinit)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed reading phisinit"
+    write(*,*) "init2 Error: Failed reading phisinit"
+    stop
   endif
   phis = .true.
@@ -1426,5 +1434,6 @@
   ierr=NF90_DEF_VAR(outfid,"aps",nf90_float,(/layerdimout/),tmpvarid)
   if (ierr.ne.nf90_noerr) then
-     stop "init2 Error: Failed to define the variable aps"
+     write(*,*) "init2 Error: Failed to define the variable aps"
+     stop
   endif
   ! Write the attributes
@@ -1437,5 +1446,6 @@
   ierr=NF90_PUT_VAR(outfid,tmpvarid,aps)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to write aps"
+    write(*,*) "init2 Error: Failed to write aps"
+    stop
   endif
 
@@ -1446,5 +1456,6 @@
   ierr=NF90_DEF_VAR(outfid,"bps",nf90_float,(/layerdimout/),tmpvarid)
   if (ierr.ne.nf90_noerr) then
-     stop "init2 Error: Failed to define the variable bps"
+     write(*,*) "init2 Error: Failed to define the variable bps"
+     stop
   endif
   ! Write the attributes
@@ -1457,5 +1468,6 @@
   ierr=NF90_PUT_VAR(outfid,tmpvarid,bps)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to write bps"
+    write(*,*) "init2 Error: Failed to write bps"
+    stop
   endif
 
@@ -1468,5 +1480,6 @@
     ierr=NF90_DEF_VAR(outfid,"ap",nf90_float,(/interlayerdimout/),tmpvarid)
     if (ierr.ne.nf90_noerr) then
-       stop "init2 Error: Failed to define the variable ap"
+       write(*,*) "init2 Error: Failed to define the variable ap"
+       stop
     endif
     ! Write the attributes
@@ -1479,5 +1492,6 @@
     ierr=NF90_PUT_VAR(outfid,tmpvarid,ap)
     if (ierr.ne.nf90_noerr) then
-      stop "Error: Failed to write ap"
+      write(*,*) "Error: Failed to write ap"
+      stop
     endif
 
@@ -1489,5 +1503,6 @@
     ierr=NF90_DEF_VAR(outfid,"bp",nf90_float,(/interlayerdimout/),tmpvarid)
     if (ierr.ne.nf90_noerr) then
-       stop "init2 Error: Failed to define the variable bp"
+       write(*,*) "init2 Error: Failed to define the variable bp"
+       stop
     endif
     ! Write the attributes
@@ -1500,5 +1515,6 @@
     ierr=NF90_PUT_VAR(outfid,tmpvarid,bp)
     if (ierr.ne.nf90_noerr) then
-      stop "Error: Failed to write bp"
+      write(*,*) "Error: Failed to write bp"
+      stop
     endif
   endif ! of if (apbp)
@@ -1511,5 +1527,6 @@
   ierr=NF90_DEF_VAR(outfid,"sigma",nf90_float,(/layerdimout/),tmpvarid)
   if (ierr.ne.nf90_noerr) then
-     stop "init2 Error: Failed to define the variable sigma"
+     write(*,*) "init2 Error: Failed to define the variable sigma"
+     stop
   endif
   ! Write the attributes
@@ -1522,5 +1539,6 @@
   ierr=NF90_PUT_VAR(outfid,tmpvarid,sigma)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to write sigma"
+    write(*,*) "init2 Error: Failed to write sigma"
+    stop
   endif
 endif ! of if (hybrid)
@@ -1537,5 +1555,6 @@
   ierr=NF90_DEF_VAR(outfid,"aire",nf90_float,(/londimout,latdimout/),tmpvarid)
   if (ierr.ne.nf90_noerr) then
-     stop "init2 Error: Failed to define the variable aire"
+     write(*,*) "init2 Error: Failed to define the variable aire"
+     stop
   endif
   ! Write the attributes
@@ -1548,5 +1567,6 @@
   ierr=NF90_PUT_VAR(outfid,tmpvarid,aire)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to write aire"
+    write(*,*) "init2 Error: Failed to write aire"
+    stop
   endif
 endif ! of if (area)
@@ -1559,5 +1579,6 @@
   ierr=NF90_DEF_VAR(outfid,"phisinit",nf90_float,(/londimout,latdimout/),tmpvarid)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to define the variable phisinit"
+    write(*,*) "init2 Error: Failed to define the variable phisinit"
+    stop
   endif
   ! Write the attributes
@@ -1570,5 +1591,6 @@
   ierr=NF90_PUT_VAR(outfid,tmpvarid,phisinit)
   if (ierr.ne.nf90_noerr) then
-    stop "init2 Error: Failed to write phisinit"
+    write(*,*) "init2 Error: Failed to write phisinit"
+    stop
   endif
 