Index: /trunk/LMDZ.MARS/doc/compilation.tex
===================================================================
--- /trunk/LMDZ.MARS/doc/compilation.tex	(revision 2568)
+++ /trunk/LMDZ.MARS/doc/compilation.tex	(revision 2569)
@@ -48,5 +48,5 @@
 \end{verbatim}
 
-
+obtain
 \section{Organization of the model source files}
 \index{Organization of the model source files}
Index: /trunk/LMDZ.MARS/doc/main.tex
===================================================================
--- /trunk/LMDZ.MARS/doc/main.tex	(revision 2568)
+++ /trunk/LMDZ.MARS/doc/main.tex	(revision 2569)
@@ -5,5 +5,5 @@
 \usepackage{pstricks}
 \usepackage[round]{natbib}
-
+\usepackage{hyperref}
 \usepackage{makeidx}
 \usepackage{a4}
@@ -39,5 +39,5 @@
 \author{Ehouarn MILLOUR, Fran\c{c}ois FORGET  \\ \it{Contributors to earlier versions}: Karine DASSAS, \\ Christophe HOURDIN, Fr\'ed\'eric HOURDIN, \\  and Yann WANHERDRICK}
 %\date{\today}
-\date{June 20, 2018}
+\date{October 18, 2021}
 
 \maketitle
Index: /trunk/LMDZ.MARS/doc/make_documentation.bash
===================================================================
--- /trunk/LMDZ.MARS/doc/make_documentation.bash	(revision 2568)
+++ /trunk/LMDZ.MARS/doc/make_documentation.bash	(revision 2569)
@@ -8,5 +8,5 @@
 cd input
 echo '\begin{verbatim}' > z2sig.tex
-cat ../../deftank/z2sig.def >> z2sig.tex
+cat ../../deftank/z2sig.def.MCD5 >> z2sig.tex
 echo '\end{verbatim}' >> z2sig.tex
 
Index: /trunk/LMDZ.MARS/doc/run.tex
===================================================================
--- /trunk/LMDZ.MARS/doc/run.tex	(revision 2568)
+++ /trunk/LMDZ.MARS/doc/run.tex	(revision 2569)
@@ -39,5 +39,5 @@
 If you are not on the LMD machines, you will also need to download a
 set of files available online at:\\
-{\verb+http://www.lmd.jussieu.fr/~lmdz/planets/mars/datadir+}\\
+\url{http://www.lmd.jussieu.fr/~lmdz/planets/mars/datadir}\\
 (preserve the file names and subdirectory structure).
 This directory contains input files (topography, dust scenarios,
@@ -50,5 +50,5 @@
 To run the model, you will also need some initial condition files that
 can be downloaded from:\\
-{\verb+http://www.lmd.jussieu.fr/~lmdz/planets/mars/starts+}
+\url{http://www.lmd.jussieu.fr/~lmdz/planets/mars/starts}
 (see section \ref{sc:inputfiles}).
 
@@ -61,8 +61,7 @@
  compiler suite (e.g. gfortran and gcc, or ifort and icc) that you will use
  to compile the model. The latest version of the NetCDF package is available
- on the web at the following address:
-  \begin{verbatim}
-  http://www.unidata.ucar.edu/software/netcdf
-  \end{verbatim}
+ on the web at the following address:\\
+  \url{https://www.unidata.ucar.edu/software/netcdf} \\
+
   along with instructions for building (or downloading precompiled
   binaries of) the library.\\
@@ -73,13 +72,13 @@
 \item Some software to load and display NetCDF files such as 
    \begin{itemize}
-   \item Ferret {\tt http://ferret.wrc.noaa.gov/Ferret}
-   \item Panoply {\tt https://www.giss.nasa.gov/tools/panoply}
-   \item GrAdS {\tt http://grads.iges.org/grads}
-   \item ncview {\tt http://meteora.ucsd.edu/\~pierce/ncview\_home\_page.html}
+   \item Ferret \url{http://ferret.wrc.noaa.gov/Ferret}
+   \item Panoply \url{https://www.giss.nasa.gov/tools/panoply}
+   \item GrAdS \url{http://grads.iges.org/grads}
+   \item ncview \url{http://meteora.ucsd.edu/~pierce/ncview_home_page.html}
    \end{itemize}
    among others, should be installed on your system.
 \item The {\tt fcm} utility must be installed on your system.
-  If it is not already so, it may be obtained by the following svn command:\\
-  {\tt svn checkout http://forge.ipsl.jussieu.fr/fcm/svn/PATCHED/FCM\_V1.2}\\
+  If it is not already so, it may be obtained by the following svn command line:\\
+  {\verb+ svn checkout http://forge.ipsl.jussieu.fr/fcm/svn/PATCHED/FCM_V1.2+}\\
   And add its {\tt bin} subdirectory to your {\tt PATH} environment variable
   to make the {\tt fcm} command available from anywhere.
@@ -168,5 +167,5 @@
 stndard scenarios and which can thus be used
 to check if the model is installed correctly) stored on the LMD website at
-\verb+http://www.lmd.jussieu.fr/~lmdz/planets/mars/starts+.
+\url{http://www.lmd.jussieu.fr/~lmdz/planets/mars/starts}.
 See section~\ref{sc:newstart} for a description of how to proceed to
 extract {\bf start} files from {\bf start\_archives}.
@@ -190,5 +189,7 @@
 Where {\tt /path/to/datafile} is the full path to the directory which
 contains the set of files downloaded from:\\
-\verb+http://www.lmd.jussieu.fr/~lmdz/planets/mars/datadir+
+\url{http://www.lmd.jussieu.fr/~lmdz/planets/mars/datadir} \\
+To ease downloading, a tar file of this directory can be obtained at: \\
+\url{http://www.lmd.jussieu.fr/~lmdz/planets/mars/datadir.tar.gz}
 }
 a simulation: 
@@ -338,7 +339,7 @@
 display and the information about the run. 
 
-{\it NOTE:} to restart a series of simulations after a first series
+To carry on simulations after a first series
 (for example, starting from {\tt start5 and  startfi5}), just write the
-index of the initial files (e.g. 5) in the file named {\tt num\_run}.
+index of the initial files (e.g. 5) in the file {\tt num\_run}.
 If {\tt num\_run} exists, the model will start from the index written in
 {\tt num\_run}. If not it will start from, {\tt start0 and startfi0}.
@@ -350,9 +351,10 @@
 {\tt deftank}).
 This script functions with script run0. Just set the number of simulations to
-1 in run0. Then copy run.def into run.def.ref and set nday to 9999 in this
+1 in run0. Then copy {\tt run.def} into {\tt run.def.ref} and set nday to 9999 in this
 file. To start from startN.c, edit the file run\_mcd and comment
 (with a \#) the N months already created and describe N in {\tt num\_run}. 
 Then run  {\bf \tt run\_mcd}.
 
+Some scripts similar to {\tt run\_mcd}, but including dedicated handling of job schedulers for the Occigen and Ciclad supercomputers can be found in the {\tt ciclad} and {\tt occigen} subdirectories of {\tt deftank}. Check out the {\tt README} files there.
 
 \section{Creating and modifying initial states}
@@ -463,5 +465,5 @@
 \end{itemize} 
 
-If you want to create starts files with tarcers for 49 layers using a
+If you want to create starts files with tracers for 49 layers using a
 {\tt start\_archive.nc} obtained for 32 layers, do not forget to use the
 \verb+ ini_q+ option in newstart in order to correctly initialize tracers