Index: /trunk/LMDZ.VENUS/deftank/gcm-96x96x50-chemistry.def
===================================================================
--- /trunk/LMDZ.VENUS/deftank/gcm-96x96x50-chemistry.def	(revision 2580)
+++ /trunk/LMDZ.VENUS/deftank/gcm-96x96x50-chemistry.def	(revision 2581)
@@ -56,17 +56,34 @@
 # pupstart in Pa
 dissip_pupstart=1.e4
-## Sponge layer 
-# 1: over the topmost 4 levels
-# 2: over layers at pressures down to 100 times below the topmost layer pressure
-iflag_top_bound=1
-## Sponge layer mode 
+
+## Sponge layer
+#   0: LMDZ.GENERIC style
+# 1 and 2: LMDZ.EARTH style 
+#   1: in last 4 levels
+#   2: in levels with pressure less than 100 times the last layer pressure
+iflag_top_bound=0
+
+## sponge layer parameters LMDZ.EARTH style
+## Mode 
 #   mode = 0 : no sponge
 #   mode = 1 : u et v -> 0
 #   mode = 2 : u et v -> zonal average
 #   mode = 3 : u, v et h -> zonale average
-mode_top_bound=1
+mode_top_bound=3
 #  Coefficient for the sponge layer (value in topmost layer)
-au_top_bound=1.e-4
-#
+tau_top_bound=1.e-4
+
+# sponge layer parameters LMDZ.GENERIC style
+callsponge=y
+# mode_sponge ( 0: h -> h_mean , ucov -> 0 , vcov -> 0
+#               1: h -> h_mean , ucov -> ucov_mean , vcov -> 0
+#               2: h -> h_mean , ucov -> ucov_mean , vcov -> vcov_mean )
+mode_sponge=2
+# nsponge: number of topmost atmospheric layers over which extends the sponge
+nsponge=10
+# tetasponge characteristic time scale (seconds) at topmost layer
+#            (time scale then doubles with decreasing layer index)
+tetasponge=1.e4 
+
 ###############################################
 ### Zoom parameters
Index: /trunk/LMDZ.VENUS/deftank/gcm-96x96x50-notrac.def
===================================================================
--- /trunk/LMDZ.VENUS/deftank/gcm-96x96x50-notrac.def	(revision 2580)
+++ /trunk/LMDZ.VENUS/deftank/gcm-96x96x50-notrac.def	(revision 2581)
@@ -56,17 +56,34 @@
 # pupstart in Pa
 dissip_pupstart=1.e4
-## Sponge layer 
-# 1: over the topmost 4 levels
-# 2: over layers at pressures down to 100 times below the topmost layer pressure
-iflag_top_bound=1
-## Sponge layer mode 
+
+## Sponge layer
+#   0: LMDZ.GENERIC style
+# 1 and 2: LMDZ.EARTH style 
+#   1: in last 4 levels
+#   2: in levels with pressure less than 100 times the last layer pressure
+iflag_top_bound=0
+
+## sponge layer parameters LMDZ.EARTH style
+## Mode 
 #   mode = 0 : no sponge
 #   mode = 1 : u et v -> 0
 #   mode = 2 : u et v -> zonal average
 #   mode = 3 : u, v et h -> zonale average
-mode_top_bound=1
+mode_top_bound=3
 #  Coefficient for the sponge layer (value in topmost layer)
-au_top_bound=1.e-4
-#
+tau_top_bound=1.e-4
+
+# sponge layer parameters LMDZ.GENERIC style
+callsponge=y
+# mode_sponge ( 0: h -> h_mean , ucov -> 0 , vcov -> 0
+#               1: h -> h_mean , ucov -> ucov_mean , vcov -> 0
+#               2: h -> h_mean , ucov -> ucov_mean , vcov -> vcov_mean )
+mode_sponge=2
+# nsponge: number of topmost atmospheric layers over which extends the sponge
+nsponge=10
+# tetasponge characteristic time scale (seconds) at topmost layer
+#            (time scale then doubles with decreasing layer index)
+tetasponge=1.e4 
+
 ###############################################
 ### Zoom parameters
Index: /trunk/LMDZ.VENUS/deftank/gcm-96x96x78-chemistry.def
===================================================================
--- /trunk/LMDZ.VENUS/deftank/gcm-96x96x78-chemistry.def	(revision 2580)
+++ /trunk/LMDZ.VENUS/deftank/gcm-96x96x78-chemistry.def	(revision 2581)
@@ -11,5 +11,5 @@
 ## DEFAULT: dissip_period=0 , meaning dissip_period is automatically computed
 ## (in practice it is =>25 in recent runs)
-dissip_period=1
+dissip_period=5
 ## dissipation operator to use (star or non-star)
 lstardis=y
@@ -42,5 +42,5 @@
 read_start=y
 ## call physics every iphysiq dynamical steps                                   
-iphysiq=5
+iphysiq=10
 ## runwith or without tracers                                                 
 iflag_trac=1
@@ -56,9 +56,14 @@
 # pupstart in Pa
 dissip_pupstart=10.
-## Sponge layer 
-# 1: over the topmost 4 levels
-# 2: over layers at pressures down to 100 times below the topmost layer pressure
-iflag_top_bound=1
-## Sponge layer mode 
+
+## Sponge layer
+#   0: LMDZ.GENERIC style
+# 1 and 2: LMDZ.EARTH style 
+#   1: in last 4 levels
+#   2: in levels with pressure less than 100 times the last layer pressure
+iflag_top_bound=0
+
+## sponge layer parameters LMDZ.EARTH style
+## Mode 
 #   mode = 0 : no sponge
 #   mode = 1 : u et v -> 0
@@ -67,6 +72,18 @@
 mode_top_bound=3
 #  Coefficient for the sponge layer (value in topmost layer)
-au_top_bound=1.e-4
-#
+tau_top_bound=1.e-4
+
+# sponge layer parameters LMDZ.GENERIC style
+callsponge=y
+# mode_sponge ( 0: h -> h_mean , ucov -> 0 , vcov -> 0
+#               1: h -> h_mean , ucov -> ucov_mean , vcov -> 0
+#               2: h -> h_mean , ucov -> ucov_mean , vcov -> vcov_mean )
+mode_sponge=2
+# nsponge: number of topmost atmospheric layers over which extends the sponge
+nsponge=10
+# tetasponge characteristic time scale (seconds) at topmost layer
+#            (time scale then doubles with decreasing layer index)
+tetasponge=1.e4 
+
 ###############################################
 ### Zoom parameters
Index: /trunk/LMDZ.VENUS/deftank/gcm-96x96x90-chemistry.def
===================================================================
--- /trunk/LMDZ.VENUS/deftank/gcm-96x96x90-chemistry.def	(revision 2580)
+++ /trunk/LMDZ.VENUS/deftank/gcm-96x96x90-chemistry.def	(revision 2581)
@@ -21,9 +21,9 @@
 niterh=2
 ## dissipation time scale (s) for shortest wavelengths for u,v (gradiv)  
-tetagdiv=3000
+tetagdiv=3000.
 ## dissipation time scale (s) for shortest wavelengths for u,v (nxgradrot)
-tetagrot=4000
+tetagrot=4000.
 ## dissipation time scale (s) for shortest wavelengths for u,v (divgrad) 
-tetatemp=4000
+tetatemp=4000.
 ## coefficient for gamdissip                                            
 coefdis=0.
@@ -44,5 +44,5 @@
 iphysiq=10
 ## runwith or without tracers                                                 
-iflag_trac=0
+iflag_trac=1
 ## run with or without stratosphere // i.e. a sponge layer and secondary
 ## higher altitude level of horizontal dissipation
Index: /trunk/LMDZ.VENUS/deftank/gcm.def
===================================================================
--- /trunk/LMDZ.VENUS/deftank/gcm.def	(revision 2580)
+++ /trunk/LMDZ.VENUS/deftank/gcm.def	(revision 2581)
@@ -56,17 +56,34 @@
 # pupstart in Pa
 dissip_pupstart=1.e4
-## Sponge layer 
-# 1: over the topmost 4 levels
-# 2: over layers at pressures down to 100 times below the topmost layer pressure
-iflag_top_bound=1
-## Sponge layer mode 
+
+## Sponge layer
+#   0: LMDZ.GENERIC style
+# 1 and 2: LMDZ.EARTH style 
+#   1: in last 4 levels
+#   2: in levels with pressure less than 100 times the last layer pressure
+iflag_top_bound=0
+
+## sponge layer parameters LMDZ.EARTH style
+## Mode 
 #   mode = 0 : no sponge
 #   mode = 1 : u et v -> 0
 #   mode = 2 : u et v -> zonal average
 #   mode = 3 : u, v et h -> zonale average
-mode_top_bound=1
+mode_top_bound=3
 #  Coefficient for the sponge layer (value in topmost layer)
-au_top_bound=1.e-4
-#
+tau_top_bound=1.e-4
+
+# sponge layer parameters LMDZ.GENERIC style
+callsponge=y
+# mode_sponge ( 0: h -> h_mean , ucov -> 0 , vcov -> 0
+#               1: h -> h_mean , ucov -> ucov_mean , vcov -> 0
+#               2: h -> h_mean , ucov -> ucov_mean , vcov -> vcov_mean )
+mode_sponge=2
+# nsponge: number of topmost atmospheric layers over which extends the sponge
+nsponge=10
+# tetasponge characteristic time scale (seconds) at topmost layer
+#            (time scale then doubles with decreasing layer index)
+tetasponge=1.e4 
+
 ###############################################
 ### Zoom parameters